# Unique Character Counter

## Overview
This Python package provides a tool for counting unique characters in a string or file. The tool can be useful for text analysis, file parsing, and general string processing tasks.

## Features
- Count unique characters in a string.
- Count unique characters in a file.
- Customizable options for ignoring case sensitivity or specific characters.

## Installation
```bash
pip install task_5_syrkin
```
All modules will be installed automatically.

## Usage
In the command line, execute the `collection_app.py` file with the following parameters:

```bash
# To test the application
python3 collection_app.py --test

# For counting unique characters in a string
python3 collection_app.py --string "your string here"

# For counting unique characters in a file
python3 collection_app.py --file "your file here"
```

## Contributing
You can use this package as a function to count unique characters. For further contributions, please clone the repository and follow the guidelines below.

## Changelog
- **0.0.1 release**
- **0.0.2**: Added doctests and README.md file
- **0.0.4**: Added setup.py

```bash
git clone https://git.foxminded.ua/andrii-syrkin-py_ment/task_5.git


```